<?xml version="1.0" encoding="utf-8"?>

<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    tools:context="com.getbubblenow.android.activity.MFAVerifyActivity">

    <ImageView
        android:id="@+id/color_curve"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentStart="true"
        android:layout_alignParentTop="true"
        android:background="@color/white"
        android:scaleType="fitXY"
        android:src="@drawable/color_curves"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_start_and_end"
        android:layout_marginTop="@dimen/title"
        android:layout_marginEnd="@dimen/margin_start_and_end"
        android:src="@drawable/bubble_top"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toEndOf="@+id/color_curve"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />

    <ImageView
        android:id="@+id/auth_logo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_start_and_end"
        android:layout_marginEnd="@dimen/margin_start_and_end"
        android:src="@drawable/authenticator"
        app:layout_constraintBottom_toTopOf="@+id/verificationTitle"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/color_curve" />

    <TextView
        android:id="@+id/verificationTitle"
        android:layout_width="wrap_content"
        android:layout_height="16dp"
        android:layout_marginStart="@dimen/margin_start_and_end"
        android:layout_marginTop="350dp"
        android:layout_marginEnd="@dimen/margin_start_and_end"
        android:fontFamily="@font/lato"
        android:text="@string/enter_verification_code"
        android:textColor="@color/black"
        android:textSize="@dimen/text_title"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.497"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <EditText
        android:id="@+id/verification"
        android:layout_width="@dimen/edit_text_width"
        android:layout_height="@dimen/edit_text_height"
        android:layout_marginStart="@dimen/margin_start_and_end"
        android:layout_marginTop="@dimen/margin_top"
        android:layout_marginEnd="@dimen/margin_start_and_end"
        android:background="@drawable/rectangle"
        android:hint="@string/enter_6_digit_code"
        android:imeOptions="actionSend"
        android:inputType="numberPassword"
        android:textAlignment="center"
        android:textColor="@color/black"
        android:textSize="@dimen/text_title"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/verificationTitle" />

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="@dimen/edit_text_width"
        android:layout_height="@dimen/edit_text_height"
        android:layout_marginStart="@dimen/margin_start_and_end"
        android:layout_marginTop="50dp"
        android:layout_marginEnd="@dimen/margin_start_and_end"
        android:background="@color/white"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/verification">

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/verifyButton"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/sign_in_disable"
            android:enabled="false"
            android:text="@string/verify"
            android:textAlignment="center"
            android:textAllCaps="false"
            android:textColor="@color/white"
            android:textSize="@dimen/text_title" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayoutForBackToSignIn"
        android:layout_width="@dimen/edit_text_width"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_start_and_end"
        android:layout_marginTop="24dp"
        android:layout_marginEnd="@dimen/margin_start_and_end"
        android:background="@color/white"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout">

        <TextView
            android:id="@+id/backToSignInButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:clickable="true"
            android:focusable="true"
            android:text="@string/back_to_sign_in_screen"
            android:textAlignment="center"
            android:textSize="14sp"
            android:textStyle="normal"
            android:textColor="@color/colorPrimary"/>
    </LinearLayout>

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/barrier"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="top" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/barrier2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="top" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_begin="350dp"
        app:layout_constraintTop_toTopOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>
